%define ver_major 2.18

%undefine _configure_target

Name: gnome-mime-data
Version: %ver_major.0
Release: alt1.M41.1

Summary: MIME-Type and Application database for GNOME
License: GPL
Group: System/Libraries
Url: http://www.gnome.org/

Packager: GNOME Maintainers Team <gnome@packages.altlinux.org>

BuildArch: noarch

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2
Source1: %name-applications
Source2: %name-keys

Patch: %name-2.4.2-alt-makefile.patch

BuildPreReq: gnome-common >= 2.8.0 intltool

# Automatically added by buildreq on Wed Oct 27 2004
BuildRequires: perl-XML-Parser

BuildRequires: rpm-build-compat >= 0.95

%description
This module contains the base MIME and Application database for GNOME.
It is meant to be accessed through the MIME functions in GnomeVFS.

%prep
%setup -q
%patch -p1
 
%build
%configure
%make_build

%install
%makeinstall pkgconfigdir=%buildroot%_datadir/pkgconfig

%__mkdir_p  %buildroot%_sysconfdir/menu-methods
%__cp %SOURCE1  %buildroot%_sysconfdir/menu-methods/%name-applications
%__cp %SOURCE2  %buildroot%_sysconfdir/menu-methods/%name-keys
%__chmod a+x %buildroot%_sysconfdir/menu-methods/*

%find_lang %name

%files -f %name.lang
%_datadir/pkgconfig/*
%_datadir/application-registry/*
%_datadir/mime-info/*.keys
%_datadir/mime-info/*.mime
%config(noreplace) %_sysconfdir/gnome-vfs-mime-magic
%config(noreplace) %_sysconfdir/menu-methods/*
%doc AUTHORS ChangeLog README

%changelog
* Thu Aug 07 2008 Yuri N. Sedunov <aris@altlinux.org> 2.18.0-alt1.M41.1
- backport to ALTLinux 4.1 (by rpmbph script)

* Sun May 18 2008 Igor Zubkov <icesik@altlinux.org> 2.18.0-alt2
- add Packager tag

* Mon May 21 2007 Igor Zubkov <icesik@altlinux.org> 2.18.0-alt1
- 2.4.3 -> 2.18.0
- fix building package as noarch (thanks to vsu@)
- fix License tag -> GPL

* Sat Jan 13 2007 Alexey Rusakov <ktirf@altlinux.org> 2.4.3-alt1
- new version (2.4.3)
- removed Debian menu support
- no more glib2-devel dependency, to fix building (thanks to raorn@).
- updated files list, no more man pages.

* Thu Feb 02 2006 ALT QA Team Robot <qa-robot@altlinux.org> 2.4.2-alt2.1
- Rebuilt for new pkg-config dependencies.

* Mon Oct 24 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.4.2-alt2
- Install the .pc file to %%_datadir to make the package truly noarch.

* Wed Oct 27 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.4.2-alt1
- 2.4.2

* Wed Sep 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Sat Aug 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.2-alt1
- 2.3.2

* Tue Aug 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-alt1
- 2.3.1

* Sun Mar 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.0-alt1
- 2.3.0

* Tue Feb 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Tue Dec 24 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1-alt2
- made gnome2 menus in utf-8, we need it for correct work of Gnome2 in
  ru_RU.CP1251 locale. Thank to inger.

* Sun Sep 15 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1-alt1
- 2.0.1
- cleanups

* Wed Jun 12 2002 Igor Androsov <blake@altlinux.ru> 2.0.0-alt1
- New version

* Fri May 31 2002 Igor Androsov <blake@altlinux.ru> 1.0.8-alt1
- New version.
- Add noarch option.

* Tue Jan 22 2002 AEN <aen@logic.ru> 1.0.1-alt1
- built for Sisyphus

* Mon Jan 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-2mdk
- Move menu methods from gnome-vfs to gnome-mime-data (Thank to Abel)

* Mon Jan 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Initial Mdk package

* Sun Oct 21 2001 Gregory Leblanc <gleblanc@linuxweasel.com>
- some messing around with Requires: and BuildRequires
- cleaned up %files quite a bit (still not quite as good as it could be)
- removed a bunch of unnecessary %%defines
